Page MenuHomePhabricator

Draft golang security best practices documentation
Open, MediumPublic

Description

  1. Initial meeting
  2. Draft doc
  3. Doc to review: Node, Go

Event Timeline

sbassett created this task.Jul 1 2019, 3:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2019, 3:39 PM
sbassett updated the task description. (Show Details)Jul 1 2019, 3:40 PM
sbassett moved this task from Backlog to In Progress on the user-sbassett board.
sbassett moved this task from In Progress to Backlog on the user-sbassett board.Jul 31 2019, 3:50 PM

@Jcross: Why is this task not in scope for Security-Team? Which other project tag should be assigned to this task?

sbassett triaged this task as Medium priority.Sep 23 2019, 8:01 PM

@Aklapper - This was a task where the priority changed around quarterly goals. At the moment, it's kind of floating in the aether, but will most likely become an upcoming quarterly goal for me. If it makes sense to decline it or mark it invalid for now, we can do that.

@sbassett: Ah, thanks. If this is still "on a list" and not forgotten that's fine. :)
(Wondering though what's the sense of restricting the visibility of the project tag currently associated to this task.)

@Aklapper - Do you mean user-sbassett? I'm not sure, I don't believe I created that project, I just requested it be created. I forget who actually created it for me and why they might have restricted it.

Yes. I wonder what @chasemp's exact intention was behind restricting that

@Aklapper - not really sure. Maybe just default protecting the work of a Security-Team member? Though obviously any security-protected task I'd be working on wouldn't be visible to people without security access. I'll plan to ask @chasemp when he gets back.

Yes. I wonder what @chasemp's exact intention was behind restricting that

I can't recall but I think scott did the sane thing and fixed it

chasemp moved this task from Incoming to Back Orders on the Security-Team board.Jan 2 2020, 9:20 PM